package com.ozs.web.filter;

import ch.qos.logback.classic.spi.ILoggingEvent;
import ch.qos.logback.core.filter.Filter;
import ch.qos.logback.core.spi.FilterReply;
import com.ozs.common.constant.Constants;
import com.ozs.common.utils.SecurityUtils;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class LogOutFilter extends Filter<ILoggingEvent> {


    @Override
    public FilterReply decide(ILoggingEvent event) {
        if (Constants.FLAY) {
            Long userId = SecurityUtils.getUserId();
            if (userId.equals(Long.parseLong("1"))) {
                return FilterReply.DENY;
            }
        }
        return FilterReply.ACCEPT;
    }

}
